#!/bin/sh
set -e

. kumatux.org-vars

SEARCH=lib
ROOTDIR=$KUMATUXROOTLDFLAGS
ETCDIR=$KUMATUXETCLDFLAGS

## check whether app already linked
LINKED=`$KUMATUXFIND/linked-allready.sh $1 $ROOTDIR $SEARCH`
if [ "$LINKED" ]
then
## don't link
    echo "$1/$SEARCH linked already in $LINKED"
else
## link
    $KUMATUXLINK/link-line-colonless.sh $1 $SEARCH $ETCDIR $ROOTDIR
fi

SEARCH=lib64

## check whether app already linked
LINKED=`$KUMATUXFIND/linked-allready.sh $1 $ROOTDIR $SEARCH`
if [ "$LINKED" ]
then
## don't link
    echo "$1/$SEARCH linked already in $LINKED"
else
## link
    $KUMATUXLINK/link-line-colonless.sh $1 $SEARCH $ETCDIR $ROOTDIR
fi
